summaryrefslogtreecommitdiff
path: root/qa/126
diff options
context:
space:
mode:
Diffstat (limited to 'qa/126')
-rwxr-xr-xqa/12645
1 files changed, 45 insertions, 0 deletions
diff --git a/qa/126 b/qa/126
new file mode 100755
index 0000000..c1ea9ab
--- /dev/null
+++ b/qa/126
@@ -0,0 +1,45 @@
+#! /bin/sh
+# PCP QA Test No. 126
+# on linux only, check /proc/net/snmp is what we're expecting
+#
+# Copyright (c) 2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+. ./localconfig
+rm -f $seq.out
+if [ -f /etc/redhat-release ]
+then
+ if egrep -q '^CentOS [^0-9]*5\.[0-9]|^Red Hat [^0-9]*5\.[0-9]' </etc/redhat-release
+ then
+ # not all the snmp metrics are there ...
+ ln $seq.out.2 $seq.out
+ else
+ ln $seq.out.1 $seq.out
+ fi
+else
+ ln $seq.out.1 $seq.out
+fi
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.*
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+
+if [ -e /proc/net/snmp ]
+then
+ awk '$2 !~ /[0-9]/ {print}' /proc/net/snmp
+else
+ grep -v '^QA' $seq.out
+fi
+
+# success, all done
+exit $status